head	1.2;
access;
symbols
	perseant-exfatfs-base-20250801:1.2
	perseant-exfatfs-base-20240630:1.2
	cjep_sun2x:1.2.0.44
	cjep_sun2x-base:1.2
	cjep_staticlib_x-base1:1.2
	cjep_staticlib_x:1.2.0.42
	cjep_staticlib_x-base:1.2
	phil-wifi-20200421:1.2
	phil-wifi-20200411:1.2
	phil-wifi-20200406:1.2
	pgoyette-compat-merge-20190127:1.2
	pgoyette-compat-20190127:1.2
	pgoyette-compat-20190118:1.2
	pgoyette-compat-1226:1.2
	pgoyette-compat-1126:1.2
	pgoyette-compat-1020:1.2
	pgoyette-compat-0930:1.2
	pgoyette-compat-0906:1.2
	pgoyette-compat-0728:1.2
	pgoyette-compat-0625:1.2
	pgoyette-compat-0521:1.2
	pgoyette-compat-0502:1.2
	pgoyette-compat-0422:1.2
	pgoyette-compat-0415:1.2
	pgoyette-compat-0407:1.2
	pgoyette-compat-0330:1.2
	pgoyette-compat-0322:1.2
	pgoyette-compat-0315:1.2
	pgoyette-compat:1.2.0.40
	pgoyette-compat-base:1.2
	perseant-stdc-iso10646:1.2.0.38
	perseant-stdc-iso10646-base:1.2
	prg-localcount2-base3:1.2
	prg-localcount2-base2:1.2
	prg-localcount2-base1:1.2
	prg-localcount2:1.2.0.36
	prg-localcount2-base:1.2
	pgoyette-localcount-20170426:1.2
	bouyer-socketcan-base1:1.2
	pgoyette-localcount-20170320:1.2
	bouyer-socketcan:1.2.0.34
	bouyer-socketcan-base:1.2
	pgoyette-localcount-20170107:1.2
	pgoyette-localcount-20161104:1.2
	localcount-20160914:1.2
	pgoyette-localcount-20160806:1.2
	pgoyette-localcount-20160726:1.2
	pgoyette-localcount:1.2.0.32
	pgoyette-localcount-base:1.2
	netbsd-5-2-3-RELEASE:1.2
	netbsd-5-1-5-RELEASE:1.2
	yamt-pagecache-base9:1.2
	yamt-pagecache-tag8:1.2
	tls-earlyentropy:1.2.0.28
	tls-earlyentropy-base:1.2
	riastradh-xf86-video-intel-2-7-1-pre-2-21-15:1.2
	riastradh-drm2-base3:1.2
	netbsd-5-2-2-RELEASE:1.2
	netbsd-5-1-4-RELEASE:1.2
	netbsd-5-2-1-RELEASE:1.2
	netbsd-5-1-3-RELEASE:1.2
	agc-symver:1.2.0.30
	agc-symver-base:1.2
	tls-maxphys-base:1.2
	yamt-pagecache-base8:1.2
	netbsd-5-2:1.2.0.26
	yamt-pagecache-base7:1.2
	netbsd-5-2-RELEASE:1.2
	netbsd-5-2-RC1:1.2
	yamt-pagecache-base6:1.2
	yamt-pagecache-base5:1.2
	yamt-pagecache-base4:1.2
	netbsd-5-1-2-RELEASE:1.2
	netbsd-5-1-1-RELEASE:1.2
	yamt-pagecache-base3:1.2
	yamt-pagecache-base2:1.2
	yamt-pagecache:1.2.0.24
	yamt-pagecache-base:1.2
	bouyer-quota2-nbase:1.2
	bouyer-quota2:1.2.0.22
	bouyer-quota2-base:1.2
	matt-nb5-pq3:1.2.0.20
	matt-nb5-pq3-base:1.2
	netbsd-5-1:1.2.0.18
	netbsd-5-1-RELEASE:1.2
	netbsd-5-1-RC4:1.2
	netbsd-5-1-RC3:1.2
	netbsd-5-1-RC2:1.2
	netbsd-5-1-RC1:1.2
	netbsd-5-0-2-RELEASE:1.2
	netbsd-5-0-1-RELEASE:1.2
	jym-xensuspend-nbase:1.2
	netbsd-5-0:1.2.0.16
	netbsd-5-0-RELEASE:1.2
	netbsd-5-0-RC4:1.2
	netbsd-5-0-RC3:1.2
	netbsd-5-0-RC2:1.2
	jym-xensuspend:1.2.0.14
	jym-xensuspend-base:1.2
	netbsd-5-0-RC1:1.2
	netbsd-5:1.2.0.12
	netbsd-5-base:1.2
	mjf-devfs2:1.2.0.10
	mjf-devfs2-base:1.2
	yamt-pf42-base4:1.2
	yamt-pf42-base3:1.2
	hpcarm-cleanup-nbase:1.2
	yamt-pf42-base2:1.2
	yamt-pf42:1.2.0.8
	yamt-pf42-base:1.2
	keiichi-mipv6:1.2.0.6
	keiichi-mipv6-base:1.2
	cube-autoconf:1.2.0.4
	cube-autoconf-base:1.2
	hpcarm-cleanup:1.2.0.2
	hpcarm-cleanup-base:1.2
	netbsd-3-1-1-RELEASE:1.1.1.1.2.2
	netbsd-3-0-3-RELEASE:1.1.1.1.2.2
	netbsd-3-1:1.1.1.1.2.2.0.4
	netbsd-3-1-RELEASE:1.1.1.1.2.2
	netbsd-3-0-2-RELEASE:1.1.1.1.2.2
	netbsd-3-1-RC4:1.1.1.1.2.2
	netbsd-3-1-RC3:1.1.1.1.2.2
	netbsd-3-1-RC2:1.1.1.1.2.2
	netbsd-3-1-RC1:1.1.1.1.2.2
	netbsd-3-0-1-RELEASE:1.1.1.1.2.2
	netbsd-3-0:1.1.1.1.2.2.0.2
	netbsd-3-0-RELEASE:1.1.1.1.2.2
	netbsd-3-0-RC6:1.1.1.1.2.2
	netbsd-3-0-RC5:1.1.1.1.2.2
	netbsd-3-0-RC4:1.1.1.1.2.2
	netbsd-3-0-RC3:1.1.1.1.2.2
	netbsd-3-0-RC2:1.1.1.1.2.2
	netbsd-3-0-RC1:1.1.1.1.2.2
	netbsd-2-0-3-RELEASE:1.1.1.1.6.2
	netbsd-2-1:1.1.1.1.4.2.0.2
	netbsd-2-1-RELEASE:1.1.1.1.4.2
	netbsd-2-1-RC6:1.1.1.1.4.2
	netbsd-2-1-RC5:1.1.1.1.4.2
	netbsd-2-1-RC4:1.1.1.1.4.2
	netbsd-2-1-RC3:1.1.1.1.4.2
	netbsd-2-1-RC2:1.1.1.1.4.2
	netbsd-2-1-RC1:1.1.1.1.4.2
	netbsd-1-6:1.1.1.1.0.8
	netbsd-2-0:1.1.1.1.0.6
	netbsd-2:1.1.1.1.0.4
	netbsd-3:1.1.1.1.0.2
	CVS1_11_20:1.1.1.1
	CVSHOME:1.1.1;
locks; strict;
comment	@# @;


1.2
date	2006.02.04.16.31.25;	author christos;	state dead;
branches;
next	1.1;

1.1
date	2005.04.20.01.41.58;	author christos;	state Exp;
branches
	1.1.1.1;
next	;

1.1.1.1
date	2005.04.20.01.41.58;	author christos;	state Exp;
branches
	1.1.1.1.2.1
	1.1.1.1.4.1
	1.1.1.1.6.1
	1.1.1.1.8.1;
next	;

1.1.1.1.2.1
date	2005.04.20.01.41.58;	author tron;	state dead;
branches;
next	1.1.1.1.2.2;

1.1.1.1.2.2
date	2005.07.05.21.02.46;	author tron;	state Exp;
branches;
next	;

1.1.1.1.4.1
date	2005.04.20.01.41.58;	author snj;	state dead;
branches;
next	1.1.1.1.4.2;

1.1.1.1.4.2
date	2005.07.06.19.52.20;	author snj;	state Exp;
branches;
next	;

1.1.1.1.6.1
date	2005.04.20.01.41.58;	author snj;	state dead;
branches;
next	1.1.1.1.6.2;

1.1.1.1.6.2
date	2005.07.06.20.12.37;	author snj;	state Exp;
branches;
next	;

1.1.1.1.8.1
date	2005.04.20.01.41.58;	author snj;	state dead;
branches;
next	1.1.1.1.8.2;

1.1.1.1.8.2
date	2005.07.12.03.34.11;	author snj;	state Exp;
branches;
next	;


desc
@@


1.2
log
@Bye bye cvs
@
text
@#! /bin/sh
# ylwrap - wrapper for lex/yacc invocations.
#
# Copyright (C) 1996, 1997, 1998, 1999, 2001, 2002, 2003 Free Software
# Foundation, Inc.
#
# Written by Tom Tromey <tromey@@cygnus.com>.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

# As a special exception to the GNU General Public License, if you
# distribute this file as part of a program that contains a
# configuration script generated by Autoconf, you may include it under
# the same distribution terms that you use for the rest of that program.

# Usage:
#     ylwrap INPUT [OUTPUT DESIRED]... -- PROGRAM [ARGS]...
# * INPUT is the input file
# * OUTPUT is file PROG generates
# * DESIRED is file we actually want
# * PROGRAM is program to run
# * ARGS are passed to PROG
# Any number of OUTPUT,DESIRED pairs may be used.

# The input.
input="$1"
shift
case "$input" in
 [\\/]* | ?:[\\/]*)
    # Absolute path; do nothing.
    ;;
 *)
    # Relative path.  Make it absolute.
    input="`pwd`/$input"
    ;;
esac

pairlist=
while test "$#" -ne 0; do
   if test "$1" = "--"; then
      shift
      break
   fi
   pairlist="$pairlist $1"
   shift
done

# The program to run.
prog="$1"
shift
# Make any relative path in $prog absolute.
case "$prog" in
 [\\/]* | ?:[\\/]*) ;;
 *[\\/]*) prog="`pwd`/$prog" ;;
esac

# FIXME: add hostname here for parallel makes that run commands on
# other machines.  But that might take us over the 14-char limit.
dirname=ylwrap$$
trap "cd `pwd`; rm -rf $dirname > /dev/null 2>&1" 1 2 3 15
mkdir $dirname || exit 1

cd $dirname

case $# in
 0) $prog "$input" ;;
 *) $prog "$@@" "$input" ;;
esac
status=$?

if test $status -eq 0; then
   set X $pairlist
   shift
   first=yes
   # Since DOS filename conventions don't allow two dots,
   # the DOS version of Bison writes out y_tab.c instead of y.tab.c
   # and y_tab.h instead of y.tab.h. Test to see if this is the case.
   y_tab_nodot="no"
   if test -f y_tab.c || test -f y_tab.h; then
      y_tab_nodot="yes"
   fi

   # The directory holding the input.
   input_dir=`echo "$input" | sed -e 's,\([\\/]\)[^\\/]*$,\1,'`
   # Quote $INPUT_DIR so we can use it in a regexp.
   # FIXME: really we should care about more than `.' and `\'.
   input_rx=`echo "$input_dir" | sed 's,\\\\,\\\\\\\\,g;s,\\.,\\\\.,g'`

   while test "$#" -ne 0; do
      from="$1"
      # Handle y_tab.c and y_tab.h output by DOS
      if test $y_tab_nodot = "yes"; then
	 if test $from = "y.tab.c"; then
	    from="y_tab.c"
	 else
	    if test $from = "y.tab.h"; then
	       from="y_tab.h"
	    fi
	 fi
      fi
      if test -f "$from"; then
         # If $2 is an absolute path name, then just use that,
         # otherwise prepend `../'.
         case "$2" in
	   [\\/]* | ?:[\\/]*) target="$2";;
	   *) target="../$2";;
	 esac

	 # Edit out `#line' or `#' directives.
	 #
	 # We don't want the resulting debug information to point at
	 # an absolute srcdir; it is better for it to just mention the
	 # .y file with no path.
	 #
	 # We want to use the real output file name, not yy.lex.c for
	 # instance.
	 #
	 # We want the include guards to be adjusted too.
	 FROM=`echo "$from" | sed \
                 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'\
                 -e 's/[^ABCDEFGHIJKLMNOPQRSTUVWXYZ]/_/g'`
	 TARGET=`echo "$2" | sed \
                 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'\
                 -e 's/[^ABCDEFGHIJKLMNOPQRSTUVWXYZ]/_/g'`
         sed "/^#/{s,$input_rx,,;s,$from,$2,;s,$FROM,$TO,;}" "$from" >"$target" ||
            status=$?
      else
	 # A missing file is only an error for the first file.  This
	 # is a blatant hack to let us support using "yacc -d".  If -d
	 # is not specified, we don't want an error when the header
	 # file is "missing".
	 if test $first = yes; then
	    status=1
	 fi
      fi
      shift
      shift
      first=no
   done
else
   status=$?
fi

# Remove the directory.
cd ..
rm -rf $dirname

exit $status
@


1.1
log
@Initial revision
@
text
@@


1.1.1.1
log
@Import 1.11.20 from ccvs.cvshome.org
@
text
@@


1.1.1.1.2.1
log
@file ylwrap was added on branch netbsd-3 on 2005-07-05 21:02:46 +0000
@
text
@d1 160
@


1.1.1.1.2.2
log
@Apply patch (requested by wiz in ticket #552):
Update CVS to version 1.11.20.
@
text
@a0 160
#! /bin/sh
# ylwrap - wrapper for lex/yacc invocations.
#
# Copyright (C) 1996, 1997, 1998, 1999, 2001, 2002, 2003 Free Software
# Foundation, Inc.
#
# Written by Tom Tromey <tromey@@cygnus.com>.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

# As a special exception to the GNU General Public License, if you
# distribute this file as part of a program that contains a
# configuration script generated by Autoconf, you may include it under
# the same distribution terms that you use for the rest of that program.

# Usage:
#     ylwrap INPUT [OUTPUT DESIRED]... -- PROGRAM [ARGS]...
# * INPUT is the input file
# * OUTPUT is file PROG generates
# * DESIRED is file we actually want
# * PROGRAM is program to run
# * ARGS are passed to PROG
# Any number of OUTPUT,DESIRED pairs may be used.

# The input.
input="$1"
shift
case "$input" in
 [\\/]* | ?:[\\/]*)
    # Absolute path; do nothing.
    ;;
 *)
    # Relative path.  Make it absolute.
    input="`pwd`/$input"
    ;;
esac

pairlist=
while test "$#" -ne 0; do
   if test "$1" = "--"; then
      shift
      break
   fi
   pairlist="$pairlist $1"
   shift
done

# The program to run.
prog="$1"
shift
# Make any relative path in $prog absolute.
case "$prog" in
 [\\/]* | ?:[\\/]*) ;;
 *[\\/]*) prog="`pwd`/$prog" ;;
esac

# FIXME: add hostname here for parallel makes that run commands on
# other machines.  But that might take us over the 14-char limit.
dirname=ylwrap$$
trap "cd `pwd`; rm -rf $dirname > /dev/null 2>&1" 1 2 3 15
mkdir $dirname || exit 1

cd $dirname

case $# in
 0) $prog "$input" ;;
 *) $prog "$@@" "$input" ;;
esac
status=$?

if test $status -eq 0; then
   set X $pairlist
   shift
   first=yes
   # Since DOS filename conventions don't allow two dots,
   # the DOS version of Bison writes out y_tab.c instead of y.tab.c
   # and y_tab.h instead of y.tab.h. Test to see if this is the case.
   y_tab_nodot="no"
   if test -f y_tab.c || test -f y_tab.h; then
      y_tab_nodot="yes"
   fi

   # The directory holding the input.
   input_dir=`echo "$input" | sed -e 's,\([\\/]\)[^\\/]*$,\1,'`
   # Quote $INPUT_DIR so we can use it in a regexp.
   # FIXME: really we should care about more than `.' and `\'.
   input_rx=`echo "$input_dir" | sed 's,\\\\,\\\\\\\\,g;s,\\.,\\\\.,g'`

   while test "$#" -ne 0; do
      from="$1"
      # Handle y_tab.c and y_tab.h output by DOS
      if test $y_tab_nodot = "yes"; then
	 if test $from = "y.tab.c"; then
	    from="y_tab.c"
	 else
	    if test $from = "y.tab.h"; then
	       from="y_tab.h"
	    fi
	 fi
      fi
      if test -f "$from"; then
         # If $2 is an absolute path name, then just use that,
         # otherwise prepend `../'.
         case "$2" in
	   [\\/]* | ?:[\\/]*) target="$2";;
	   *) target="../$2";;
	 esac

	 # Edit out `#line' or `#' directives.
	 #
	 # We don't want the resulting debug information to point at
	 # an absolute srcdir; it is better for it to just mention the
	 # .y file with no path.
	 #
	 # We want to use the real output file name, not yy.lex.c for
	 # instance.
	 #
	 # We want the include guards to be adjusted too.
	 FROM=`echo "$from" | sed \
                 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'\
                 -e 's/[^ABCDEFGHIJKLMNOPQRSTUVWXYZ]/_/g'`
	 TARGET=`echo "$2" | sed \
                 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'\
                 -e 's/[^ABCDEFGHIJKLMNOPQRSTUVWXYZ]/_/g'`
         sed "/^#/{s,$input_rx,,;s,$from,$2,;s,$FROM,$TO,;}" "$from" >"$target" ||
            status=$?
      else
	 # A missing file is only an error for the first file.  This
	 # is a blatant hack to let us support using "yacc -d".  If -d
	 # is not specified, we don't want an error when the header
	 # file is "missing".
	 if test $first = yes; then
	    status=1
	 fi
      fi
      shift
      shift
      first=no
   done
else
   status=$?
fi

# Remove the directory.
cd ..
rm -rf $dirname

exit $status
@


1.1.1.1.8.1
log
@file ylwrap was added on branch netbsd-1-6 on 2005-07-12 03:34:11 +0000
@
text
@d1 160
@


1.1.1.1.8.2
log
@Apply patch (requested by tron in ticket #5822):
Update CVS to version 1.11.20.
@
text
@a0 160
#! /bin/sh
# ylwrap - wrapper for lex/yacc invocations.
#
# Copyright (C) 1996, 1997, 1998, 1999, 2001, 2002, 2003 Free Software
# Foundation, Inc.
#
# Written by Tom Tromey <tromey@@cygnus.com>.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

# As a special exception to the GNU General Public License, if you
# distribute this file as part of a program that contains a
# configuration script generated by Autoconf, you may include it under
# the same distribution terms that you use for the rest of that program.

# Usage:
#     ylwrap INPUT [OUTPUT DESIRED]... -- PROGRAM [ARGS]...
# * INPUT is the input file
# * OUTPUT is file PROG generates
# * DESIRED is file we actually want
# * PROGRAM is program to run
# * ARGS are passed to PROG
# Any number of OUTPUT,DESIRED pairs may be used.

# The input.
input="$1"
shift
case "$input" in
 [\\/]* | ?:[\\/]*)
    # Absolute path; do nothing.
    ;;
 *)
    # Relative path.  Make it absolute.
    input="`pwd`/$input"
    ;;
esac

pairlist=
while test "$#" -ne 0; do
   if test "$1" = "--"; then
      shift
      break
   fi
   pairlist="$pairlist $1"
   shift
done

# The program to run.
prog="$1"
shift
# Make any relative path in $prog absolute.
case "$prog" in
 [\\/]* | ?:[\\/]*) ;;
 *[\\/]*) prog="`pwd`/$prog" ;;
esac

# FIXME: add hostname here for parallel makes that run commands on
# other machines.  But that might take us over the 14-char limit.
dirname=ylwrap$$
trap "cd `pwd`; rm -rf $dirname > /dev/null 2>&1" 1 2 3 15
mkdir $dirname || exit 1

cd $dirname

case $# in
 0) $prog "$input" ;;
 *) $prog "$@@" "$input" ;;
esac
status=$?

if test $status -eq 0; then
   set X $pairlist
   shift
   first=yes
   # Since DOS filename conventions don't allow two dots,
   # the DOS version of Bison writes out y_tab.c instead of y.tab.c
   # and y_tab.h instead of y.tab.h. Test to see if this is the case.
   y_tab_nodot="no"
   if test -f y_tab.c || test -f y_tab.h; then
      y_tab_nodot="yes"
   fi

   # The directory holding the input.
   input_dir=`echo "$input" | sed -e 's,\([\\/]\)[^\\/]*$,\1,'`
   # Quote $INPUT_DIR so we can use it in a regexp.
   # FIXME: really we should care about more than `.' and `\'.
   input_rx=`echo "$input_dir" | sed 's,\\\\,\\\\\\\\,g;s,\\.,\\\\.,g'`

   while test "$#" -ne 0; do
      from="$1"
      # Handle y_tab.c and y_tab.h output by DOS
      if test $y_tab_nodot = "yes"; then
	 if test $from = "y.tab.c"; then
	    from="y_tab.c"
	 else
	    if test $from = "y.tab.h"; then
	       from="y_tab.h"
	    fi
	 fi
      fi
      if test -f "$from"; then
         # If $2 is an absolute path name, then just use that,
         # otherwise prepend `../'.
         case "$2" in
	   [\\/]* | ?:[\\/]*) target="$2";;
	   *) target="../$2";;
	 esac

	 # Edit out `#line' or `#' directives.
	 #
	 # We don't want the resulting debug information to point at
	 # an absolute srcdir; it is better for it to just mention the
	 # .y file with no path.
	 #
	 # We want to use the real output file name, not yy.lex.c for
	 # instance.
	 #
	 # We want the include guards to be adjusted too.
	 FROM=`echo "$from" | sed \
                 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'\
                 -e 's/[^ABCDEFGHIJKLMNOPQRSTUVWXYZ]/_/g'`
	 TARGET=`echo "$2" | sed \
                 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'\
                 -e 's/[^ABCDEFGHIJKLMNOPQRSTUVWXYZ]/_/g'`
         sed "/^#/{s,$input_rx,,;s,$from,$2,;s,$FROM,$TO,;}" "$from" >"$target" ||
            status=$?
      else
	 # A missing file is only an error for the first file.  This
	 # is a blatant hack to let us support using "yacc -d".  If -d
	 # is not specified, we don't want an error when the header
	 # file is "missing".
	 if test $first = yes; then
	    status=1
	 fi
      fi
      shift
      shift
      first=no
   done
else
   status=$?
fi

# Remove the directory.
cd ..
rm -rf $dirname

exit $status
@


1.1.1.1.4.1
log
@file ylwrap was added on branch netbsd-2 on 2005-07-06 19:52:20 +0000
@
text
@d1 160
@


1.1.1.1.4.2
log
@Apply patch (requested by tron in ticket #2927):
Update CVS to version 1.11.20.
@
text
@a0 160
#! /bin/sh
# ylwrap - wrapper for lex/yacc invocations.
#
# Copyright (C) 1996, 1997, 1998, 1999, 2001, 2002, 2003 Free Software
# Foundation, Inc.
#
# Written by Tom Tromey <tromey@@cygnus.com>.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

# As a special exception to the GNU General Public License, if you
# distribute this file as part of a program that contains a
# configuration script generated by Autoconf, you may include it under
# the same distribution terms that you use for the rest of that program.

# Usage:
#     ylwrap INPUT [OUTPUT DESIRED]... -- PROGRAM [ARGS]...
# * INPUT is the input file
# * OUTPUT is file PROG generates
# * DESIRED is file we actually want
# * PROGRAM is program to run
# * ARGS are passed to PROG
# Any number of OUTPUT,DESIRED pairs may be used.

# The input.
input="$1"
shift
case "$input" in
 [\\/]* | ?:[\\/]*)
    # Absolute path; do nothing.
    ;;
 *)
    # Relative path.  Make it absolute.
    input="`pwd`/$input"
    ;;
esac

pairlist=
while test "$#" -ne 0; do
   if test "$1" = "--"; then
      shift
      break
   fi
   pairlist="$pairlist $1"
   shift
done

# The program to run.
prog="$1"
shift
# Make any relative path in $prog absolute.
case "$prog" in
 [\\/]* | ?:[\\/]*) ;;
 *[\\/]*) prog="`pwd`/$prog" ;;
esac

# FIXME: add hostname here for parallel makes that run commands on
# other machines.  But that might take us over the 14-char limit.
dirname=ylwrap$$
trap "cd `pwd`; rm -rf $dirname > /dev/null 2>&1" 1 2 3 15
mkdir $dirname || exit 1

cd $dirname

case $# in
 0) $prog "$input" ;;
 *) $prog "$@@" "$input" ;;
esac
status=$?

if test $status -eq 0; then
   set X $pairlist
   shift
   first=yes
   # Since DOS filename conventions don't allow two dots,
   # the DOS version of Bison writes out y_tab.c instead of y.tab.c
   # and y_tab.h instead of y.tab.h. Test to see if this is the case.
   y_tab_nodot="no"
   if test -f y_tab.c || test -f y_tab.h; then
      y_tab_nodot="yes"
   fi

   # The directory holding the input.
   input_dir=`echo "$input" | sed -e 's,\([\\/]\)[^\\/]*$,\1,'`
   # Quote $INPUT_DIR so we can use it in a regexp.
   # FIXME: really we should care about more than `.' and `\'.
   input_rx=`echo "$input_dir" | sed 's,\\\\,\\\\\\\\,g;s,\\.,\\\\.,g'`

   while test "$#" -ne 0; do
      from="$1"
      # Handle y_tab.c and y_tab.h output by DOS
      if test $y_tab_nodot = "yes"; then
	 if test $from = "y.tab.c"; then
	    from="y_tab.c"
	 else
	    if test $from = "y.tab.h"; then
	       from="y_tab.h"
	    fi
	 fi
      fi
      if test -f "$from"; then
         # If $2 is an absolute path name, then just use that,
         # otherwise prepend `../'.
         case "$2" in
	   [\\/]* | ?:[\\/]*) target="$2";;
	   *) target="../$2";;
	 esac

	 # Edit out `#line' or `#' directives.
	 #
	 # We don't want the resulting debug information to point at
	 # an absolute srcdir; it is better for it to just mention the
	 # .y file with no path.
	 #
	 # We want to use the real output file name, not yy.lex.c for
	 # instance.
	 #
	 # We want the include guards to be adjusted too.
	 FROM=`echo "$from" | sed \
                 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'\
                 -e 's/[^ABCDEFGHIJKLMNOPQRSTUVWXYZ]/_/g'`
	 TARGET=`echo "$2" | sed \
                 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'\
                 -e 's/[^ABCDEFGHIJKLMNOPQRSTUVWXYZ]/_/g'`
         sed "/^#/{s,$input_rx,,;s,$from,$2,;s,$FROM,$TO,;}" "$from" >"$target" ||
            status=$?
      else
	 # A missing file is only an error for the first file.  This
	 # is a blatant hack to let us support using "yacc -d".  If -d
	 # is not specified, we don't want an error when the header
	 # file is "missing".
	 if test $first = yes; then
	    status=1
	 fi
      fi
      shift
      shift
      first=no
   done
else
   status=$?
fi

# Remove the directory.
cd ..
rm -rf $dirname

exit $status
@


1.1.1.1.6.1
log
@file ylwrap was added on branch netbsd-2-0 on 2005-07-06 20:12:37 +0000
@
text
@d1 160
@


1.1.1.1.6.2
log
@Apply patch (requested by tron in ticket #2927):
Update CVS to version 1.11.20.
@
text
@a0 160
#! /bin/sh
# ylwrap - wrapper for lex/yacc invocations.
#
# Copyright (C) 1996, 1997, 1998, 1999, 2001, 2002, 2003 Free Software
# Foundation, Inc.
#
# Written by Tom Tromey <tromey@@cygnus.com>.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

# As a special exception to the GNU General Public License, if you
# distribute this file as part of a program that contains a
# configuration script generated by Autoconf, you may include it under
# the same distribution terms that you use for the rest of that program.

# Usage:
#     ylwrap INPUT [OUTPUT DESIRED]... -- PROGRAM [ARGS]...
# * INPUT is the input file
# * OUTPUT is file PROG generates
# * DESIRED is file we actually want
# * PROGRAM is program to run
# * ARGS are passed to PROG
# Any number of OUTPUT,DESIRED pairs may be used.

# The input.
input="$1"
shift
case "$input" in
 [\\/]* | ?:[\\/]*)
    # Absolute path; do nothing.
    ;;
 *)
    # Relative path.  Make it absolute.
    input="`pwd`/$input"
    ;;
esac

pairlist=
while test "$#" -ne 0; do
   if test "$1" = "--"; then
      shift
      break
   fi
   pairlist="$pairlist $1"
   shift
done

# The program to run.
prog="$1"
shift
# Make any relative path in $prog absolute.
case "$prog" in
 [\\/]* | ?:[\\/]*) ;;
 *[\\/]*) prog="`pwd`/$prog" ;;
esac

# FIXME: add hostname here for parallel makes that run commands on
# other machines.  But that might take us over the 14-char limit.
dirname=ylwrap$$
trap "cd `pwd`; rm -rf $dirname > /dev/null 2>&1" 1 2 3 15
mkdir $dirname || exit 1

cd $dirname

case $# in
 0) $prog "$input" ;;
 *) $prog "$@@" "$input" ;;
esac
status=$?

if test $status -eq 0; then
   set X $pairlist
   shift
   first=yes
   # Since DOS filename conventions don't allow two dots,
   # the DOS version of Bison writes out y_tab.c instead of y.tab.c
   # and y_tab.h instead of y.tab.h. Test to see if this is the case.
   y_tab_nodot="no"
   if test -f y_tab.c || test -f y_tab.h; then
      y_tab_nodot="yes"
   fi

   # The directory holding the input.
   input_dir=`echo "$input" | sed -e 's,\([\\/]\)[^\\/]*$,\1,'`
   # Quote $INPUT_DIR so we can use it in a regexp.
   # FIXME: really we should care about more than `.' and `\'.
   input_rx=`echo "$input_dir" | sed 's,\\\\,\\\\\\\\,g;s,\\.,\\\\.,g'`

   while test "$#" -ne 0; do
      from="$1"
      # Handle y_tab.c and y_tab.h output by DOS
      if test $y_tab_nodot = "yes"; then
	 if test $from = "y.tab.c"; then
	    from="y_tab.c"
	 else
	    if test $from = "y.tab.h"; then
	       from="y_tab.h"
	    fi
	 fi
      fi
      if test -f "$from"; then
         # If $2 is an absolute path name, then just use that,
         # otherwise prepend `../'.
         case "$2" in
	   [\\/]* | ?:[\\/]*) target="$2";;
	   *) target="../$2";;
	 esac

	 # Edit out `#line' or `#' directives.
	 #
	 # We don't want the resulting debug information to point at
	 # an absolute srcdir; it is better for it to just mention the
	 # .y file with no path.
	 #
	 # We want to use the real output file name, not yy.lex.c for
	 # instance.
	 #
	 # We want the include guards to be adjusted too.
	 FROM=`echo "$from" | sed \
                 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'\
                 -e 's/[^ABCDEFGHIJKLMNOPQRSTUVWXYZ]/_/g'`
	 TARGET=`echo "$2" | sed \
                 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'\
                 -e 's/[^ABCDEFGHIJKLMNOPQRSTUVWXYZ]/_/g'`
         sed "/^#/{s,$input_rx,,;s,$from,$2,;s,$FROM,$TO,;}" "$from" >"$target" ||
            status=$?
      else
	 # A missing file is only an error for the first file.  This
	 # is a blatant hack to let us support using "yacc -d".  If -d
	 # is not specified, we don't want an error when the header
	 # file is "missing".
	 if test $first = yes; then
	    status=1
	 fi
      fi
      shift
      shift
      first=no
   done
else
   status=$?
fi

# Remove the directory.
cd ..
rm -rf $dirname

exit $status
@
